import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';
import {map} from 'rxjs/operators';
import {Activity, DataCardResponse} from '@nspop/gm-web-facade-api';
import {CarePlanService} from '../api/care-plan.service';
import {DataCardService} from '../api/data-card.service';
@Injectable({providedIn: 'root'})
export class ActivitiesService {
  constructor(
    private carePlanService: CarePlanService,
    private dataCardService: DataCardService,
  ) { }
  private activities$: Observable<Activity[]> = this.carePlanService.carePlan$.pipe(
    map(carePlan => carePlan?.activities ?? []),
  );

  public futureActivities$: Observable<Activity[]> = this.activities$.pipe(
    map(activities => activities.filter(activity => !activity.plannedTime?.from || activity.plannedTime.from >= new Date()))
  );

  public pastActivities$: Observable<Activity[]> = this.activities$.pipe(
    map(activities => activities.filter(activity => activity.plannedTime?.from && activity.plannedTime.from < new Date()))
  );
}
