import {ComponentFixture, TestBed} from '@angular/core/testing';

import {ClinicalExamsComponent} from './clinical-exams.component';
import {of} from 'rxjs';
import {ClinicalObservationsServiceService} from './clinical-observations-service.service';
import {MeasurementService} from '../../services/measurement.service';
import {DataCardService} from '../../api/data-card.service';

describe('ClinicalExamsComponent', () => {
  let component: ClinicalExamsComponent;
  let fixture: ComponentFixture<ClinicalExamsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ ClinicalExamsComponent ],
      providers: [
        { provide: ClinicalObservationsServiceService, useValue: {observationGroups: of({mother: {rows: []}, fetuses: []})}},
        { provide: MeasurementService, useValue: {midwifeMeasurements$: of([])}},
        { provide: DataCardService, useValue: {isDataCardClosed: of(false)}}
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ClinicalExamsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
